import React from 'react'
import { useModel } from '@/store'

const Spin = <></>

export default function(props) {
  const { user } = useModel('user')

  const loading = !user || !user.personId

  return (
    <Spin loading={loading}>{ props.children }</Spin>
  )
}
